﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.DynamicData;

namespace Catalyst.Web.DynamicData
{
    /// <summary>
    /// Defines the implementation of WherePredicatePrameters property.
    /// </summary>
    public interface IPredicateDynamicDataSource : IDynamicDataSource
    {
        /// <summary>
        /// Stores Parameters which are used to create a predicate expression for the where clause of the LINQ expression.
        /// </summary>
        DynamicParameterCollection WherePredicateParameters { get; }
    }
}
