﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace AdventureWorks.DynamicData.FilterTemplates
{
    public partial class DateTime_Range : Catalyst.Web.DynamicData.RangeFilterUserControlBase
    {
        public override string MinValue
        {
            get
            {
                return cMin.SelectedDate.ToString();
            }
            set
            {
                System.DateTime date;
                if (System.DateTime.TryParse(value, out date))
                {
                    cMin.SelectedDate = date;
                }
            }
        }

        public override string MaxValue
        {
            get
            {
                return cMax.SelectedDate.ToString();
            }
            set
            {
                System.DateTime date;
                if (System.DateTime.TryParse(value, out date))
                {
                    cMax.SelectedDate = date;
                }
            }
        }

        public override TypeCode Type
        {
            get { return TypeCode.DateTime; }
        }
    }
}