﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace AdventureWorks.DynamicData.FilterTemplates
{
    public partial class Integer_Range : Catalyst.Web.DynamicData.RangeFilterUserControlBase
    {
        public override string MinValue
        {
            get
            {
                return tbMin.Text;
            }
            set
            {
                tbMin.Text = value;
            }
        }

        public override string MaxValue
        {
            get
            {
                return tbMax.Text;
            }
            set
            {
                tbMax.Text = value;
            }
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            SetUpValidator(RegularExpressionValidator1);
            SetUpValidator(RegularExpressionValidator2);
        }

        public override TypeCode Type
        {
            get { return this.Column.TypeCode; }
        }
    }
}