﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EnvDTE;

namespace Catalyst.Web.DynamicData.Design
{
    internal class CSharpFilterTemplateCreator : FilterTemplateCreator
    {
        protected override string LanguageTemplateFolder
        {
            get { return "CSharp"; }
        }
        
        protected override void ReplaceNamespace()
        {
            ReplaceParameter("$rootnamespace$", string.Format("{0}.DynamicData.FilterTemplates", Project.Properties.Item("DefaultNamespace").Value));
        }

        public CSharpFilterTemplateCreator(Project project)
            : base(project)
        { }
    }
}
